/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType, getInstanceType } from "igniteui-react-core/ES2015/type";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
import { stringEndsWith } from "igniteui-react-core/ES2015/string";
export class FinancialPriceSeriesProxy extends Base {
    getCloseMemberPath(a) {
        return a.n3;
    }
    getHighMemberPath(a) {
        return a.n6;
    }
    getLowMemberPath(a) {
        return a.ob;
    }
    getOpenMemberPath(a) {
        return a.of;
    }
    getVolumeMemberPath(a) {
        return a.oj;
    }
    matchesType(a) {
        if (!a.cr) {
            return false;
        }
        if (stringEndsWith(getInstanceType(a).typeName, "Indicator") || stringEndsWith(getInstanceType(a).typeName, "Overlay")) {
            return false;
        }
        return true;
    }
    setCategoryMode(a, b) {
        a.l6 = b;
    }
    setCloseMemberPath(a, b) {
        a.n3 = b;
    }
    setDisplayType(a, b) {
        a.pb = b;
    }
    setHighMemberPath(a, b) {
        a.n6 = b;
    }
    setLowMemberPath(a, b) {
        a.ob = b;
    }
    setOpenMemberPath(a, b) {
        a.of = b;
    }
    setVolumeMemberPath(a, b) {
        a.oj = b;
    }
    setXAxis(a, b) {
        a.lz = b;
    }
    setYAxis(a, b) {
        a.mk = b;
    }
}
FinancialPriceSeriesProxy.$t = markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
